Status: Resolved Start date: 21 August 2014
Priority: Urgent Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: HTML5 client Estimated time: 24.00 hours
Target version: Psychotest2 Spent time: 33.00 hours
Description

V testu ukáže předvyplněné odpovědi - buď při stistknutí tlačítka další nebo už při průběhu testu. Např se zeleným podbarvením.

History
#1 - 22 July 2015 13:09 - Tomáš Kulhánek
- Target version changed from Psychotest 1 to Psychotest2

#2 - 22 July 2015 13:25 - Tomáš Kulhánek

Svázání konkrétního stimulu s otázkou - na tu otázku dát dotaz do databáze výsledků a vyhodí statistiky typu medián, 25 a 75 percentil, průměr a
standardni odchylku.

#3 - 22 July 2015 13:27 - Tomáš Kulhánek
- Tracker changed from Task to Feature
- Priority changed from Normal to High

#4 - 23 July 2015 14:52 - Tomáš Kulhánek
- Estimated time set to 8.00

#5 - 31 July 2015 14:46 - Tomáš Kulhánek
- Estimated time changed from 8.00 to 16.00

#6 - 04 September 2015 11:10 - Tomáš Kulhánek
- Status changed from New to In Progress
- % Done changed from 0 to 10

nove klicove slovo "type",
type [educational, nopreviousbutton/yespreviousbutton]     definuje typ testu a dalsi nastaveni, edukacni mod, zobrazeni a umozneni vratit se o
obrazovku zpet. 

type educational, nopreviousbutton

popis viz
http://patf-biokyb.lf1.cuni.cz/wiki/projekty/psychoakusticke_testy/navrh_dsl_jazyka

#7 - 04 September 2015 15:16 - Tomáš Kulhánek
- % Done changed from 10 to 20
Změněn styl vykreslování checkbox a radiobuttons podle http://code.stephenmorley.org/html-and-css/styling-checkboxes-and-radio-buttons/

U vybraných hodnot je možné nyní změnit např. css background, který je vidět a zvýraznit nejobvyklejší odpověď.
Totéž lze zvýraznit u labelu v rámci slideru, u slideru, který pro hodnotu nemá čárku, je nutno zvýraznit hodnotu jinak

#8 - 04 September 2015 15:24 - Tomáš Kulhánek
- Estimated time changed from 16.00 to 24.00

#9 - 09 September 2015 10:31 - Tomáš Kulhánek
type educational(689)
parameter k educational udava ID vysledku ze ktereho se budou brat vzorove odpovedi. Je to cislo v sloupci ID v tabu Vysledky.

#10 - 15 September 2015 11:34 - Tomáš Kulhánek
- % Done changed from 20 to 50

Pri prechodu na dalsi obrazovku nebo pri ukonci je pridan jeden krok - vyznaceni spravne odpovedi podbarvenim svetle zelenou barvou. 
Dalsi stisk "Dalsi" nebo "Ukonci" pokracuje v testu.

Podbarveni zelenou barvou jsou vsechny komponenty krom ranking2d. 
Zadani edukacnich vysledku zatim podle Id vysledku.

demonstracni test http://physiome.lf1.cuni.cz/psychoacoustictest/psychotest.htm#136

#11 - 15 September 2015 16:46 - Tomáš Kulhánek
- % Done changed from 50 to 60

pridany bubliny pro konkretni odpovedove pole, kde bude mozne v budoucnu zobrazit podrobnejsi popisek, prozatim se zobrazuje polozka v sloupci
"date" - tj. datum odpovedi ze vzoroveho vysledku.

#12 - 25 September 2015 15:03 - Tomáš Kulhánek
- Priority changed from High to Urgent

#13 - 02 October 2015 08:47 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- % Done changed from 60 to 100

    -  Do editoru testu pridano tlacitko "Edituj vzorovy vysledek", pokud je v testu definovan typ "type educational(70)" tak nacte vysledek cislo 70 a
zobrazi ho v tabulce pod editacnim oknem, pokud ne, tak se nic nestane
    -  Tabulka se vzorovymi vysledky je editovatelna, sloupec "note" obsahuje poznamku
    -  Tlacitko "Uloz vzorovy vysledek" ulozi hodnoty z tabulky do databaze na serveru

Po spusteni takoveho testu se navic nactou vzorove vysledky a po stisknuti tlacitka Dalsi nebo Ukonci se zobrazi zelene podbarvene vzorove hodnoty.
Po najeti mysi na task (otazku) se zobrazi bublinkova napoveda s textem, ktery byl definovan v sloupci "note"

Vzorovy test tomas/testskala http://physiome.lf1.cuni.cz/psychoacoustictest/psychotest.htm#136
#14 - 09 October 2015 11:45 - Tomáš Kulhánek

Opraveno zvyrazneni pozadi pri kontrole vyplneni odpovedi, pozadi mohlo prekreslit obrazky, elementy vlevo.
